<!-- -*- mode: markdown; mode: flyspell -*- -->
# Changelog (ldapusermgmt)

## [0.2.4] - 2019-09-30
### Changed
* lumsubhier deltree: fail gracefully if nothing is found
* spec: require bash-base

## [0.2.3] - 2019-09-29
### Changed
* fixed typo in ldapuseradd

## [0.2.2] - 2019-09-29
### Changed
* fixed bug in lumfileshelper, triggered when nothing is found to delete

## [0.2.1] - 2019-09-29
### Added
+ config option "backup exclude paths"
### Changed
* lumdeltree now uses same filehelper operation as lumsubhier deltree

## [0.2] - 2019-09-28
### Added
+ lumfilehelper
### Changed
* converted CHANGELOG to markup
* re-licensed to GPLv3
* use bash-base
* rebased to bash-ini instead of bashini
* converted fatal and log calls to new bash-ini API
* cleanup and fix lumuserdel
* lumsubhier deltree now removes users files
* big code cleanup, moving common code to libexec
### Removed
- options -L and -B from all commands

## [0.1.106] - 2017-10-17
### Added
+ added lumgetattr
### Changed
* renamed tools from ldap* to lum*
* changed resolver to new format (separated first and lastname)

## [0.1.105] - 2016-02-16
### Changed
* fixed typos
* fixed chown of homedir

## [0.1.104] - 2016-02-12
### Changed
* fixed resolver calling (again)

## [0.1.103] - 2016-02-11
### Added
+ added ldapgroupadd

## [0.1.102] - 2015-10-15
### Changed
* fixed ldapfinger so error handling works
* fixed force in ldapsubhier

## [0.1.101] - 2015-10-14
### Added
+ added support for quota and skel
### Changed
* create homedir script revamped and added examples
* reading from stdin now skips empty lines
* better error handling and exit codes
* ldapsubhier list: better query, nicer output
* code cleanup
### Removed
- removed resolver key type

## [0.1.100] - 2015-10-06
### Changed
* fixed reading of stdin

## [0.1.99] - 2015-10-06
### Added
+ added more error messages
### Changed
* fixed verbose mode (did not run without -v)
* fixed key "-"
* cat resolver renamed to echo resolver

## [0.1.98] - 2015-09-25
### Added
+ better error handling in ldapuseradd
### Changed
* ldapuseradd is now more verbose with -v
* disabled dry run in ldapfinger

## [0.1.97] - 2015-09-25
### Changed
* fixed dry run in ldapsubhier

## [0.1.96] - 2015-09-25
### Changed
* fixed dry run
* fixed create homedir
* fixed dry run in ldapfinger
* fixed empty password hashes

## [0.1.95] - 2015-09-25
### Changed
* fixed typo

## [0.1.94] - 2015-09-25
### Added
+ ldapuseradd: added dry run

## [0.1.93] - 2015-09-25
### Changed
* small fixes

## [0.1.92] - 2015-09-25
### Changed
* fixed typos

## [0.1.91] - 2015-09-25
### Changed
* fixed `ldapsubhier del`

## [0.1.90] - 2015-09-25
### Added
+ added ldapfinger, ldapsubhier
### Changed
* major code cleanup and lots of addons

## [0.1.2] - 2015-09-18
### Added
+ added USERNAME_PREFIX
### Changed
* fixed typos

## [0.1.1] - 2015-09-18
### Added
+ spec file support for resolvers

## [0.1] - 2015-09-18
### Added
* first release

<!-- 
LocalWords:  Changelog ldap lum lumgetattr lastname ldapgroupadd skel
LocalWords:  ldapfinger homedir stdin ldapsubhier ldapuseradd del ini
LocalWords:  addons USERNAME resolvers rebased bashini GPLv
 -->
